Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.utils
Class TreeWalker

    java.lang.Object
      |
      +--org.apache.xalan.utils.TreeWalker

Direct Known Subclasses:
  TreeWalker2Result

public class TreeWalker
extends java.lang.Object

**For advanced use only** This class does a pre-order walk of the DOM tree, calling a ContentHandler interface as it goes.

Constructor Summary
`TreeWalker(ContentHandler formatterListener)` **For advanced use only** Constructor.

Method Summary
`ContentHandler` | `getFormatterListener()` **For advanced use only** Get the ContentHandler used for the tree walk.
`void` | `traverse(Node pos)` **For advanced use only** Perform a pre-order traversal non-recursive style.
`void` | `traverse(Node pos, Node top)` **For advanced use only** Perform a pre-order traversal non-recursive style.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeWalker

    public TreeWalker(ContentHandler formatterListener)

  **For advanced use only** Constructor.
  Parameters:
    `formatterListener` - The implemention of the FormatterListener operation (toXMLString, digest, ...)

Method Detail

### getFormatterListener

    public ContentHandler getFormatterListener()

  **For advanced use only** Get the ContentHandler used for the tree walk.

### traverse

    public void traverse(Node pos)
                  throws SAXException

  **For advanced use only** Perform a pre-order traversal non-recursive style.

### traverse

    public void traverse(Node pos,
                         Node top)
                  throws SAXException

  **For advanced use only** Perform a pre-order traversal non-recursive style.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.